from django.urls import path
from . import views

app_name = "services"

urlpatterns = [
    path("", views.homepage, name="homepage"),
    path("about/", views.about, name="about"),
    path("offerings/", views.offering_list, name="offering_list"),
    path("providers/", views.provider_list, name="provider_list"),
    path("partners/", views.partner_list, name="partner_list"),
    path("service/", views.service_list, name="service_list"),
    path("service/<slug:slug>/", views.service_detail, name="service_detail"),
    path(
        "offering/<slug:provider_slug>/<slug:service_slug>/",
        views.offering_detail,
        name="offering_detail",
    ),
    path("provider/<slug:slug>/", views.provider_detail, name="provider_detail"),
    path("partner/<slug:slug>/", views.partner_detail, name="partner_detail"),
    path("contact/", views.leads.contact, name="contact"),
    path("contact/thank-you/", views.thank_you, name="thank_you"),
    path("contact-form/", views.contact_form, name="contact_form"),
    path("subscribe/", views.subscribe, name="subscribe"),
    path(
        "pricelist/",
        views.pricelist,
        name="pricelist",
    ),
]
